# Function definitionToStoredType

- definitionToStoredType(definition, compilationId, compiler, referenceDeclarations?): UserDefinedType

- #### Parameters

  - ##### definition: AstNode

  - ##### compilationId: string

  - ##### compiler: CompilerVersion

  - ##### `Optional` referenceDeclarations: AstNodes

  #### Returns UserDefinedType

  - Defined in codec/lib/ast/import/index.ts:387

Generated using TypeDoc